import { defineEventHandler } from "h3";

import { getOrders } from "~/server/api/orders.get";
import { prismaToWeb } from "~/server/utils/prismaToWeb";
import getPaginatedParameters from "~/server/utils/baaPageParsing";

export default defineEventHandler((e) => {
  const pageParameters = getPaginatedParameters(e, 50, 200);
  const clientId = e.context.params?.id as string;
  return getOrders(
    pageParameters,
    {
      clientId: BigInt(clientId),
    },
  ).then(prismaToWeb);
});
